% Sample signal
Fs = 1000; % Sampling frequency
T = 1/Fs; % Sampling period
t = 0:T:1-T; % Time vector
f1 = 50; % Frequency of the first component
f2 = 120; % Frequency of the second component
signal = cos(2*pi*f1*t) + 0.5*cos(2*pi*f2*t); % Signal with two frequencies
% Perform FFT
N = length(signal); % Number of samples
frequencies = (0:N-1)*(Fs/N); % Frequency axis
signal_fft = fft(signal)/N; % Normalize by the number of samples
% Plot the results
figure;
subplot(2,1,1);
plot(t, signal);
title('Time Domain Signal');
xlabel('Time (s)');
ylabel('Amplitude');
subplot(2,1,2);
plot(frequencies, abs(signal_fft));
title('Frequency Domain Analysis');
xlabel('Frequency (Hz)');
ylabel('Amplitude');