fs = 1000; % Sampling frequency
t = 0:1/fs:1; % Time vector
f = 5; % Frequency of the signal
signal = sin(2*pi*f*t); % Example sine wave signal
cutoff_frequency = 2; % Set your desired cutoff frequency
filter_order = 4; % Set the filter order
low_pass_filter = designfilt('lowpassfir', 'FilterOrder', filter_order, 'CutoffFrequency', cutoff_frequency, 'SampleRate', fs);
noise = 0.5 * randn(size(t)); % Gaussian noise
noisy_signal = signal + noise;
filtered_signal = filter(low_pass_filter, noisy_signal);
figure;
subplot(3,1,1); plot(t, signal); title('Original Signal');
subplot(3,1,2); plot(t, noisy_signal); title('Noisy Signal');
subplot(3,1,3); plot(t, filtered_signal); title('Filtered Signal');