% Define the filter specifications
order = 4;            % Filter order
cutoffFrequency = 0.2; % Normalized cutoff frequency (0.0 to 1.0)

% Design the IIR filter using Butterworth design
[b, a] = butter(order, cutoffFrequency, 'low');

% Display the filter coefficients
disp('Numerator Coefficients (b):');
disp(b);
disp('Denominator Coefficients (a):');
disp(a);

% Visualize the frequency response
freqz(b, a);
title('Frequency Response of IIR Filter');
