% Parameters
fs = 1000; % Sampling frequency
t = 0:1/fs:1; % Time vector
f_message = 50; % Message signal frequency
f_carrier = 500; % Carrier frequency
modulation_index = 5; % Modulation index
% Generate Message Signal
message_signal = sin(2*pi*f_message*t);
% FM Modulation
modulated_signal = fmmod(message_signal, f_carrier, fs, modulation_index);
% FM Demodulation
demodulated_signal=fmdemod(modulated_signal,f_carrier,fs, modulation_index);
% Plotting
figure;
subplot(3,1,1);
plot(t, message_signal);
title('Original Message Signal');
subplot(3,1,2);
plot(t, modulated_signal);
title('Frequency Modulated Signal');
subplot(3,1,3);
plot(t, demodulated_signal);
title('Demodulated Signal');