function y = Lin_convolution(x, h)

% Calculate output length
N = length(x) + length(h) - 1;

% Zero-pad inputs
xpad = [x zeros(1, N - length(x))];
ypad = [h zeros(1, N - length(h))];

% Compute convolution using FFT
Y = fft(xpad) .* fft(ypad);
y = ifft(Y);

% Extract valid portion of output
y = y(1:N);
