% Sample signal
Fs = 1000; % Sampling frequency
t = 0:1/Fs:1-1/Fs; % Time vector
f = 5; % Frequency of the signal
signal = sin(2*pi*f*t); % Sine wave signal
% Compute Fourier transform
N = length(signal); % Length of the signal
frequencies = Fs*(0:(N/2))/N; % Frequency axis for positive frequencies
fft_result = fft(signal);
magnitude_spectrum1 = 2/N * abs(fft_result(1:N/2+1));
% Plotting the signal and its Fourier transform
subplot(2, 1, 1);
plot(t, signal);
title('Original Signal');
xlabel('Time (s)');
ylabel('Amplitude');
subplot(2, 1, 2);
plot(frequencies, magnitude_spectrum1);
title('Fourier Transform');
xlabel('Frequency (Hz)');
ylabel('Magnitude');
grid on;