% Define the signal
t = 0:0.01:1; % Time vector
f = 5; % Frequency of the signal
x = sin(2*pi*f*t); % Signal
% Compute the Fourier transform
X = fft(x);
% Plot the magnitude spectrum
fs = 1/(t(2)-t(1)); % Sampling frequency
frequencies = linspace(0, fs, numel(X)); % Frequency axis
plot(frequencies, abs(X))
xlabel('Frequency')
ylabel('Magnitude')
title('Magnitude Spectrum')
% Plot the phase spectrum
figure
plot(frequencies, angle(X))
xlabel('Frequency')
ylabel('Phase')
title('Phase Spectrum')
